﻿using System;
using System.Web.UI;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.SilverlightEdition;

namespace SilverlightWmsServerSample.Web
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                TiledWmsLayer tiledWmsLayer = new TiledWmsLayer("http://localhost:62626/WmsHandler.axd");
                tiledWmsLayer.ActiveLayerNames.Add("Display A Simple Map");
                tiledWmsLayer.ActiveStyleNames.Add("DEFAULT");

                ServerLayerOverlay layerOverlay = new ServerLayerOverlay("NativeServer");
                layerOverlay.Layers.Add(tiledWmsLayer);
                SilverlightMapConnector1.ServerLayerOverlays.Add(layerOverlay);
            }
        }
    }
}
