﻿using System.Windows;
using System.Windows.Controls;
using ThinkGeo.MapSuite.SilverlightCore;
using ThinkGeo.MapSuite.SilverlightEdition;
using System;

namespace SilverlightWmsServerSample
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            Map1.MapUnit = GeographyUnit.DecimalDegree;
            Map1.CurrentExtent = new RectangleShape(-135.7, 83.6, 113.5, -53);

            // Server rendering
            //ServerLayerOverlay serverLayerOverlay = new ServerLayerOverlay("NativeServer", "SilverlightMapConnector1");
            //Map1.Overlays.Add(serverLayerOverlay);

            WmsOverlay wmsOverlay = new WmsOverlay("WmsOverlay", new Uri("http://localhost:62626/WmsHandler.axd"));
            wmsOverlay.Parameters.Add("LAYERS", "Display A Simple Map");
            wmsOverlay.Parameters.Add("STYLES", "DEFAULT");
            wmsOverlay.Parameters.Add("FORMAT", "IMAGE/PNG");
            Map1.Overlays.Add(wmsOverlay);

            Map1.Refresh();
        }
    }
}
